module.exports = function(grunt) {

  grunt.initConfig({
    pkg: grunt.file.readJSON('package.json'),

    uglify: {
      frontpage: {
        src:  'js/*.js',
        dest: '../public/js/script.js'
      }
    },

    stylus: {
      compile: {
        options:{
          compress:false
        },

        files: {
          "../public/css/style.raw.css":'css/style.styl'
        }
      }
    },

    csso: {
      search: {
        files: {
          '../public/css/style.css':'../public/css/style.raw.css'
        }
      }

    }
  });



  grunt.loadNpmTasks('grunt-contrib-jshint');
  grunt.loadNpmTasks('grunt-contrib-internal');
  grunt.loadNpmTasks('grunt-contrib-uglify');


  grunt.loadNpmTasks('grunt-csso');
  grunt.loadNpmTasks('grunt-contrib-stylus');

  grunt.registerTask('css',['stylus','csso']);
  grunt.registerTask('js',['uglify']);

  grunt.registerTask('default', ['css']);
  grunt.registerTask('full',['css','js'])
};
